Page MenuHomePhabricator

Sort out PdfBook extension fork situation: Disable Wikimedia repo; link to GitHub/Gitlab repo
Closed, ResolvedPublic

Description

As @Nad wrote in T124640#1961966 and after, people going to https://www.mediawiki.org/wiki/Extension:PdfBook might either click the Github link and get one codebase, or click the "Download snapshot" link and get another codebase (on Wikimedia Git).

It's probably in everybody's interested to not have two separate codebases around when there was no specific reason or intention (like disagreement among maintainers) to fork, but instead to point / redirect contributors to a single place if possible.

@Nad:

Event Timeline

Aklapper created this task.Jan 27 2016, 9:36 PM
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: Developer-Advocacy.
Aklapper added subscribers: Aklapper, Nad, Qgil.
Nad added a comment.Jan 28 2016, 12:29 AM

I'd prefer to stay in Github for the time being as I don't have time to figure out the Wikimedia process, after the move from SVN to gerrit and so on I just found it all too complicated.

Yes, Aklapper !
First I wanna tell you after download the extension from Organic Design (the same link you forward), still its generating the empty PDF files instead of the page content.
I used jsPDF Javascript tool, but I am not happy with it due to formatting issues.

could you please figure it out or if you share the working example that would be great for me and others!!

Nad added a comment.Jan 28 2016, 10:40 AM

I don't have the problem you're talking about, and I have the OD version running on many servers. Since you're still getting the issue with the OD version as well, it must be your configuration. First check that htmldoc is installed and functioning properly.

still its generating the empty PDF files instead of the page content.

@Nazish.rizvi: That topic is discussed in T124640. It is not discussed here in T124978. Thanks.

Aklapper renamed this task from Sort out PdfBook extension fork situation to Sort out PdfBook extension fork situation: Disable Wikimedia repo; link to GitHub repo.Jan 28 2016, 11:04 AM
Aklapper set Security to None.
Qgil added a comment.Feb 18 2016, 9:00 AM

Any indication on when could we work on this task? This quarter?

@Nad: There is one open proposed patch waiting for review in https://gerrit.wikimedia.org/r/#/c/241087/ - would you want to take a look at that one?

@Nad: There are two open tasks in https://phabricator.wikimedia.org/tag/mediawiki-extensions-pdfbook/ - would you want to import them to GitHub before I mark the project as archived in Wikimedia Phabricator and update its Phabricator description to point to GitHub, plus remove the "Open tasks" section on https://www.mediawiki.org/wiki/Extension:PdfBook ?

TODO once the remaining two open tasks in WM Phab and the one open patchset in WM Gerrit are dealed with:

@Nad: Could you please reply to T124978#2189691 and T124978#2189687 ?
After that I could resolve this task. Thanks in advance!

Aklapper changed the task status from Open to Stalled.Apr 27 2016, 9:37 AM

@Nad: Could you please reply to T124978#2189691 and T124978#2189687 ?
After that I could resolve this task. Thanks in advance!

Aklapper lowered the priority of this task from Low to Lowest.Jul 5 2016, 2:43 PM

@Nad: Could you please reply to T124978#2189691 and T124978#2189687 ?
After that I could resolve this task. Thanks in advance!

Aklapper changed the task status from Stalled to Open.Aug 23 2016, 2:11 PM

Got reply in https://www.mediawiki.org/w/index.php?title=User_talk%3ANad&type=revision&diff=2221563&oldid=2221331 , hence

Following https://www.mediawiki.org/wiki/Gerrit/Inactive_projects#Actions_to_deactivate_an_unused_repository ,

Change 306484 had a related patch set uploaded (by Aklapper):
Remove everything except for short information in PdfBook.php

https://gerrit.wikimedia.org/r/306484

Aklapper added a comment.EditedAug 24 2016, 6:49 PM
  • No idea how to handle "Remove all files in a new commit

Patch in https://gerrit.wikimedia.org/r/#/c/306484/ ; after merging need to set repo again to Read-Only (obviously I had to revert that).

Not to be merged until T143684 (translatewiki.net situation) has been sorted out.

Postponing one last time; set an arbitrary deadline in https://phabricator.wikimedia.org/T143684 (blocking this task).

Aklapper changed the task status from Stalled to Open.Jan 27 2017, 10:20 PM

Task unblocked (thanks Niklas!); waiting for [ https://gerrit.wikimedia.org/r/#/c/306484/ | patch review ]] hence punting to February.

Change 306484 merged by jenkins-bot:
[mediawiki/extensions/PdfBook@master] Remove everything except for short information in PdfBook.php

https://gerrit.wikimedia.org/r/306484

Aklapper closed this task as Resolved.Mar 23 2017, 9:36 AM

Finally done here; thanks to Reedy's review of my patch.

Qgil awarded a token.Mar 23 2017, 2:47 PM
PeterBodifee reopened this task as Open.Apr 3 2017, 10:44 AM
PeterBodifee added a subscriber: PeterBodifee.

Unfortunately

git clone https://github.com/OrganicDesign/extensions/tree/master/MediaWiki/PdfBook

results in

fatal: repository 'https://github.com/OrganicDesign/extensions/tree/master/MediaWiki/PdfBook' not found.

Am I missing something?

Aklapper closed this task as Resolved.Apr 3 2017, 3:25 PM

@PeterBodifee: For support questions about GitHub please ask on GitHub. Clicking "Clone or download" on GitHub shows the URL to clone.

I understood the actions above were for us to be able to clone just extension PdfBook from Organic Designs' Github, however the "clone or download" link is at the top-level of their complete Repo including even non-mediawiki code.

The info about the link in GONE_TO_GITHUB.txt and PdfBook.php is a bit misleading in that respect.

Indeed, however how the maintainers of https://github.com/OrganicDesign/ organize their code is up to them, so I recommend discussing this on GitHub with them... :-/

Paladox added a subscriber: Paladox.Jun 6 2018, 6:30 PM

The user has deleted his GitHub account and move to gitlab now (where you cannot see the code without logging in now).

@Paladox: Please provide links for statements, as requested many times. Thanks.

Nad added a comment.Jun 6 2018, 10:46 PM

It was private by accident and is fixed now. Please note that the URL has changed again because I've now split it out to its own repo rather than having it bundled in with all the Organic Design extensions. the link has been updated on the mediawiki.org extension page. The URL to the repo is now https://gitlab.com/Aranad/PdfBook.

Aklapper renamed this task from Sort out PdfBook extension fork situation: Disable Wikimedia repo; link to GitHub repo to Sort out PdfBook extension fork situation: Disable Wikimedia repo; link to GitHub/Gitlab repo.Jun 7 2018, 2:08 PM